[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#440439: marked as done (add multipath support)



Your message dated Thu, 03 Apr 2008 11:47:02 +0000
with message-id <E1JhNuI-0001yq-OI@ries.debian.org>
and subject line Bug#440439: fixed in hw-detect 1.60
has caused the Debian Bug report #440439,
regarding add multipath support
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
440439: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=440439
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: hw-detect
Version: 1.54
Severity: wishlist
Tags: patch

Hi,
the attached patch adds detection of I/O multipaths to disk-detect. This
has to be enabled by using disk-detect/multipath/enable=true and is
modeled after the dmraid code. If multipaths are found it pulls in the
partman-multipath udeb so the paths can be properly partitioned.
Please apply,
 -- Guido
diff --git a/debian/disk-detect.templates b/debian/disk-detect.templates
index 745b0f3..0698e40 100644
--- a/debian/disk-detect.templates
+++ b/debian/disk-detect.templates
@@ -30,3 +30,10 @@ Type: boolean
 Default: false
 Description: for internal use; can be preseeded
  Check for the presence of Serial ATA RAID (dmraid) disks?
+
+Template: disk-detect/multipath/enable
+Type: boolean
+Default: false
+Description: for internal use; can be preseeded
+ Check for the presence of multipathed devices?
+
diff --git a/disk-detect.sh b/disk-detect.sh
old mode 100755
new mode 100644
index bee2d2d..6c84088
--- a/disk-detect.sh
+++ b/disk-detect.sh
@@ -91,6 +91,20 @@ module_probe() {
 	fi
 }
 
+multipath_probe() {
+    MP_VERBOSE=3
+    # Look for multipaths...
+    if [ ! -f /etc/multipath.conf ]; then
+cat <<EOF >/etc/multipath.conf
+defaults {
+    user_friendly_names yes
+}
+EOF
+    fi
+    log-output -t disk-detect /sbin/multipath -v$MP_VERBOSE
+    [ -n "$(/sbin/multipath -l)" -a $? ] && return 0 || return 1
+}
+
 hw-detect disk-detect/detect_progress_title || true
 
 while ! disk_found; do
@@ -171,3 +185,29 @@ if [ "$RET" = true ]; then
 		fi
 	fi
 fi
+
+# Activate support for DM Multipath
+db_get disk-detect/multipath/enable
+if [ "$RET" = true ]; then
+	if anna-install multipath-udeb; then
+		MODULES="dm-mod dm-multipath dm-round-robin dm-emc"
+		# We need some dm modules...
+		for MODULE in $MODULES; do
+			if is_not_loaded $MODULE; then
+				module_probe $MODULE || true
+			fi
+		done
+
+		# Look for multipaths...
+		if multipath_probe; then
+			logger -t disk-detect "Multipath devices found; enabling multipath support"
+			if ! anna-install partman-multipath; then
+				/sbin/multipath -F
+				logger -t disk-detect "Error loading partman-multipath; multipath devices deactivated"
+			fi
+		else
+			logger -t disk-detect "No multipath devices detected"
+		fi
+	fi
+fi
+

--- End Message ---
--- Begin Message ---
Source: hw-detect
Source-Version: 1.60

We believe that the bug you reported is fixed in the latest version of
hw-detect, which is due to be installed in the Debian FTP archive:

archdetect_1.60_amd64.udeb
  to pool/main/h/hw-detect/archdetect_1.60_amd64.udeb
disk-detect_1.60_all.udeb
  to pool/main/h/hw-detect/disk-detect_1.60_all.udeb
ethdetect_1.60_all.udeb
  to pool/main/h/hw-detect/ethdetect_1.60_all.udeb
hw-detect_1.60.dsc
  to pool/main/h/hw-detect/hw-detect_1.60.dsc
hw-detect_1.60.tar.gz
  to pool/main/h/hw-detect/hw-detect_1.60.tar.gz
hw-detect_1.60_amd64.udeb
  to pool/main/h/hw-detect/hw-detect_1.60_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 440439@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frans Pop <fjp@debian.org> (supplier of updated hw-detect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 03 Apr 2008 13:31:39 +0200
Source: hw-detect
Binary: hw-detect ethdetect disk-detect archdetect
Architecture: source all amd64
Version: 1.60
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Frans Pop <fjp@debian.org>
Description: 
 archdetect - Hardware architecture detector (udeb)
 disk-detect - Detect disk drives (udeb)
 ethdetect  - Detect network hardware and load kernel drivers for it (udeb)
 hw-detect  - Detect hardware and load kernel drivers for it (udeb)
Closes: 440439 472487
Changes: 
 hw-detect (1.60) unstable; urgency=low
 .
   [ Guido Guenther ]
   * Add optional multipath detection to disk-detect.sh (triggered by
     disk-detect/multipath/enable). Closes: #440439.
 .
   [ Frans Pop ]
   * Some older systems have a disk controller that is not listed by lspci,
     but that is supported by ide-generic. Load ide-generic if an ISA bus is
     detected and, if new block devices become available, register the module
     for inclusion in the initrd. Closes: #472487.
   * hw-detect: simplify is_available() function.
 .
   [ Updated translations ]
   * Basque (eu.po) by Piarres Beobide
   * Finnish (fi.po) by Esko Arajärvi
   * Panjabi (pa.po) by Amanpreet Singh Alam
Files: 
 f636a37aa63875e291bed63a6b97b81c 914 debian-installer standard hw-detect_1.60.dsc
 3bbf5ca8672db1d55cb40660b91faca4 144101 debian-installer standard hw-detect_1.60.tar.gz
 418820aabacb7078521c17eb16d416ee 25484 debian-installer optional ethdetect_1.60_all.udeb
 06347aba71f148c0ff5eb8af975ca18e 19386 debian-installer optional disk-detect_1.60_all.udeb
 7945613930b9cb7cbed1c2649ea1e925 71246 debian-installer standard hw-detect_1.60_amd64.udeb
 cf4ca47c030e5c7a220dfbc6d5ee8a56 2264 debian-installer standard archdetect_1.60_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9MC0gm/Kwh6ICoQRApLsAJ4+961m5IMasVDfODEiAt/9Yiv5pACgz0IO
K99WKTTIpCrY/b3fnN4wKGI=
=IUf5
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: